package com.android.launcher3.manager;

import android.util.Log;

public class ManagementInfo {
    /**
     * 应用包名
     */
    private String packageName;
    /**
     * app的使用类型
     */
    @ColumnDef.AppUseType.UseTypeMode
    private int useType;
    /**
     * 禁止使用的类型
     */
    @ColumnDef.LockApp.LockAppMode
    private int lock;

    /**
     * 应用可使用的时间（秒级时间戳）
     */
    private long useEndTimeStamp = 0;


    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public int getUseType() {
        return useType;
    }

    public void setUseType(int useType) {
        this.useType = useType;
    }

    public int getLock() {
        return lock;
    }

    public void setLock(int lock) {
        this.lock = lock;
    }

    public long getUseEndTimeStamp() {
        return useEndTimeStamp;
    }

    public void setUseEndTimeStamp(long useEndTimeStamp) {
        this.useEndTimeStamp = useEndTimeStamp;
    }

    @Override
    public String toString() {
        return "ManagementInfo{" +
                "packageName='" + packageName + '\'' +
                ", useType=" + useType +
                ", lock=" + lock +
                ", useEndTimeStamp=" + useEndTimeStamp +
                '}';
    }
}
